Skip to main content

List all product options

GET https://pos.paysera.com/eapi/v1/product-options

Retrieve a paginated list of product options (e.g. Color, Size).

Authorization​

This endpoint requires a Personal Access Token, sent as a Bearer token.

To obtain one, your account needs API permission. Once granted, go to /user/settings in your POS account and create a personal access token.

Authorization Header Format:

Authorization: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...

For more details, see the Authentication section.

Errors​

This endpoint may return the following errors:

400 - Bad Request​

Invalid request parameters

This error is resulted by incorrectly providing one of the parameters.

401 - Unauthorized​

Unauthorized

This error was produced by providing incorrect credentials.

403 - Forbidden​

Forbidden

This error indicates you don't have permission to access this resource.

429 - Too Many Requests​

You have exceeded the rate limit. Please try again in a minute.

500 - Internal Server Error​

Internal server error

Example​

Request​

GET https://pos.paysera.com/eapi/v1/product-options
Authorization: Bearer YOUR_ACCESS_TOKEN

Response​

{
"data": [
{
"id": 1,
"title": {
"lt": "Spalva",
"en": "Color"
},
"createdAt": "2026-05-05T12:00:00Z",
"updatedAt": "2026-05-05T12:00:00Z"
}
]
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://pos.paysera.com

RESPONSE

Product options retrieved successfully
{
"data": [
{
"id": 1,
"title": {
"lt": "Spalva",
"en": "Color"
},
"createdAt": "2026-05-05T12:00:00Z",
"updatedAt": "2026-05-05T12:00:00Z"
}
]
}